# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-05-24 15:34
from django.db import migrations, models
import extras.utils


class Migration(migrations.Migration):

    dependencies = [
        ('extras', '0006_add_imageattachments'),
    ]

    operations = [
        migrations.AlterField(
            model_name='customfield',
            name='default',
            field=models.CharField(blank=True, help_text='Default value for the field. Use "true" or "false" for booleans.', max_length=100),
        ),
        migrations.AlterField(
            model_name='customfield',
            name='is_filterable',
            field=models.BooleanField(default=True, help_text='This field can be used to filter objects.'),
        ),
        migrations.AlterField(
            model_name='customfield',
            name='label',
            field=models.CharField(blank=True, help_text="Name of the field as displayed to users (if not provided, the field's name will be used)", max_length=50),
        ),
        migrations.AlterField(
            model_name='customfield',
            name='obj_type',
            field=models.ManyToManyField(help_text='The object(s) to which this field applies.', related_name='custom_fields', to='contenttypes.ContentType', verbose_name='Object(s)'),
        ),
        migrations.AlterField(
            model_name='customfield',
            name='required',
            field=models.BooleanField(default=False, help_text='Determines whether this field is required when creating new objects or editing an existing object.'),
        ),
        migrations.AlterField(
            model_name='customfield',
            name='type',
            field=models.PositiveSmallIntegerField(choices=[(100, 'Text'), (200, 'Integer'), (300, 'Boolean (true/false)'), (400, 'Date'), (500, 'URL'), (600, 'Selection')], default=100),
        ),
        migrations.AlterField(
            model_name='customfield',
            name='weight',
            field=models.PositiveSmallIntegerField(default=100, help_text='Fields with higher weights appear lower in a form'),
        ),
        migrations.AlterField(
            model_name='customfieldchoice',
            name='weight',
            field=models.PositiveSmallIntegerField(default=100, help_text='Higher weights appear lower in the list'),
        ),
        migrations.AlterField(
            model_name='graph',
            name='link',
            field=models.URLField(blank=True, verbose_name='Link URL'),
        ),
        migrations.AlterField(
            model_name='graph',
            name='name',
            field=models.CharField(max_length=100, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='graph',
            name='source',
            field=models.CharField(max_length=500, verbose_name='Source URL'),
        ),
        migrations.AlterField(
            model_name='graph',
            name='type',
            field=models.PositiveSmallIntegerField(choices=[(100, 'Interface'), (200, 'Provider'), (300, 'Site')]),
        ),
        migrations.AlterField(
            model_name='imageattachment',
            name='image',
            field=models.ImageField(height_field='image_height', upload_to=extras.utils.image_upload, width_field='image_width'),
        ),
        migrations.AlterField(
            model_name='topologymap',
            name='device_patterns',
            field=models.TextField(help_text='Identify devices to include in the diagram using regular expressions, one per line. Each line will result in a new tier of the drawing. Separate multiple regexes within a line using semicolons. Devices will be rendered in the order they are defined.'),
        ),
        migrations.AlterField(
            model_name='useraction',
            name='action',
            field=models.PositiveSmallIntegerField(choices=[(1, 'created'), (7, 'bulk created'), (2, 'imported'), (3, 'modified'), (4, 'bulk edited'), (5, 'deleted'), (6, 'bulk deleted')]),
        ),
    ]
