# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-05-24 15:34
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import ipam.fields


class Migration(migrations.Migration):

    dependencies = [
        ('ipam', '0015_global_vlans'),
    ]

    operations = [
        migrations.AlterField(
            model_name='aggregate',
            name='family',
            field=models.PositiveSmallIntegerField(choices=[(4, 'IPv4'), (6, 'IPv6')]),
        ),
        migrations.AlterField(
            model_name='aggregate',
            name='rir',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='aggregates', to='ipam.RIR', verbose_name='RIR'),
        ),
        migrations.AlterField(
            model_name='ipaddress',
            name='address',
            field=ipam.fields.IPAddressField(help_text='IPv4 or IPv6 address (with mask)'),
        ),
        migrations.AlterField(
            model_name='ipaddress',
            name='family',
            field=models.PositiveSmallIntegerField(choices=[(4, 'IPv4'), (6, 'IPv6')], editable=False),
        ),
        migrations.AlterField(
            model_name='ipaddress',
            name='nat_inside',
            field=models.OneToOneField(blank=True, help_text='The IP for which this address is the "outside" IP', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='nat_outside', to='ipam.IPAddress', verbose_name='NAT (Inside)'),
        ),
        migrations.AlterField(
            model_name='ipaddress',
            name='status',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Active'), (2, 'Reserved'), (3, 'Deprecated'), (5, 'DHCP')], default=1, verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='ipaddress',
            name='vrf',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='ip_addresses', to='ipam.VRF', verbose_name='VRF'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='family',
            field=models.PositiveSmallIntegerField(choices=[(4, 'IPv4'), (6, 'IPv6')], editable=False),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='is_pool',
            field=models.BooleanField(default=False, help_text='All IP addresses within this prefix are considered usable', verbose_name='Is a pool'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='prefix',
            field=ipam.fields.IPNetworkField(help_text='IPv4 or IPv6 network with mask'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='role',
            field=models.ForeignKey(blank=True, help_text='The primary function of this prefix', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='prefixes', to='ipam.Role'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='status',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Container'), (1, 'Active'), (2, 'Reserved'), (3, 'Deprecated')], default=1, help_text='Operational status of this prefix', verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='vlan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='prefixes', to='ipam.VLAN', verbose_name='VLAN'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='vrf',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='prefixes', to='ipam.VRF', verbose_name='VRF'),
        ),
        migrations.AlterField(
            model_name='rir',
            name='is_private',
            field=models.BooleanField(default=False, help_text='IP space managed by this RIR is considered private', verbose_name='Private'),
        ),
        migrations.AlterField(
            model_name='service',
            name='device',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='services', to='dcim.Device', verbose_name='device'),
        ),
        migrations.AlterField(
            model_name='service',
            name='ipaddresses',
            field=models.ManyToManyField(blank=True, related_name='services', to='ipam.IPAddress', verbose_name='IP addresses'),
        ),
        migrations.AlterField(
            model_name='service',
            name='port',
            field=models.PositiveIntegerField(validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(65535)], verbose_name='Port number'),
        ),
        migrations.AlterField(
            model_name='service',
            name='protocol',
            field=models.PositiveSmallIntegerField(choices=[(6, 'TCP'), (17, 'UDP')]),
        ),
        migrations.AlterField(
            model_name='vlan',
            name='status',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Active'), (2, 'Reserved'), (3, 'Deprecated')], default=1, verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='vlan',
            name='vid',
            field=models.PositiveSmallIntegerField(validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(4094)], verbose_name='ID'),
        ),
        migrations.AlterField(
            model_name='vrf',
            name='enforce_unique',
            field=models.BooleanField(default=True, help_text='Prevent duplicate prefixes/IP addresses within this VRF', verbose_name='Enforce unique space'),
        ),
        migrations.AlterField(
            model_name='vrf',
            name='rd',
            field=models.CharField(max_length=21, unique=True, verbose_name='Route distinguisher'),
        ),
    ]
